<?php
/*
* Global Section
*/
$sections[] = array(
    'title' => esc_html__('General Settings', 'nord'),
    'icon_class' => 'icon-large',
    'icon' => 'el-icon-globe',
    'fields' => array(

        $fields = array(
                'id'       => 'logo_type',
                'type'     => 'button_set',
                'title'    => esc_html__( 'Logo Type', 'nord' ),
                'subtitle' => esc_html__( 'Select Logo Type Options e.g Text or Image', 'nord' ),
                'desc'     => esc_html__( 'Default Design Layout Options "Image Logo".', 'nord' ),
                'options'  => array(
                    'logo_text'     => 'Text',
                    'logo_image'    => 'Image'
                ),
                'default'  => 'logo_image'
            ),
        array(
                'id' => 'nord_logo_text',
                'type' => 'text',
                'title' => esc_html__('Logo Text', 'nord'),
                'default' => "NORD",  
                'required' => array('logo_type', '=', 'logo_text')       
            ),
        array(
                'id' => 'nord_logo_image',
                'type' => 'media',
                'title' => esc_html__('Logo Image', 'nord'),
                'default' => array("url" => esc_url( esc_html__( get_template_directory_uri() . "/images/logo.png", 'nord' ))),
                'desc'     => esc_html__( 'Select Logo Image if you want to set your Logo Image', 'nord' ),
                'required' => array('logo_type', '=', 'logo_image'),       
                'preview' => true,
                "url" => true
            ),
          array(
                'id' => 'custom_css',
                'type' => 'ace_editor',
                'title' => esc_html__('Custom CSS', 'nord'),
                'description' => esc_html__('Write your custom CSS code without &lt;style> &lt;/style> block', 'nord'),
            ), 

        )
); //global