<?php
/**
 * The template for displaying comments.
 *
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package NORD
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>

<div id="comments" class="comments-area">

	<?php
	// You can start editing here -- including this comment!
	if ( have_comments() ) : ?>
			<h3 class="title">
				<?php comments_number( esc_html__('0 Comment' ,'nord') , esc_html__('1 Comment' ,'nord'), esc_html__('% Comments' ,'nord') );?>
			</h3>


		<ol class="comment-list">
			<?php
				wp_list_comments( array(
					'style'      => 'ol',
					'short_ping' => true,
				) );
			?>
		</ol><!-- .comment-list -->

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
		<nav id="comment-nav-below" class="navigation comment-navigation" role="navigation">
			<h2 class="screen-reader-text"><?php esc_html_e( 'Comment navigation', 'nord' ); ?></h2>
			<div class="nav-links">

				<div class="nav-previous"><?php previous_comments_link( esc_html__( 'Older Comments', 'nord' ) ); ?></div>
				<div class="nav-next"><?php next_comments_link( esc_html__( 'Newer Comments', 'nord' ) ); ?></div>

			</div><!-- .nav-links -->
		</nav><!-- #comment-nav-below -->
		<?php
		endif; // Check for comment navigation.

	endif; // Check for have_comments().


	// If comments are closed and there are comments, let's leave a little note, shall we?
	if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) : ?>

		<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'nord' ); ?></p>
	<?php
	endif;

//	comment_form();
		
					$commenter = wp_get_current_commenter();
					$req = get_option( 'require_name_email' );
					$aria_req = ( $req ? " aria-required='true'" : '' );
					$fields =  array(
						'author' => '<input id="author" class="form-control" name="author" type="text" placeholder="' . esc_html__('Your Name', 'nord') . '" value="" size="30"' . $aria_req . '/>',
						'email'  => '<input id="email" class="form-control" name="email" type="email" placeholder="' . esc_html__('Your Email ID', 'nord') . '" value="" size="30"' . $aria_req . '/>',
						'url'  => '<input id="url" class="form-control" name="url" type="url" placeholder="' . esc_html__('Your Website URL', 'nord') . '" value="">'
					);

					$comments_args = array(
						'fields' =>  $fields,
						'id_form'          			=> 'commentform',
						'title_reply'       		=> esc_html__( 'Add your Comment', 'nord' ),
						'title_reply_to'    		=> esc_html__( 'Add your Comment to %s', 'nord' ),
						'cancel_reply_link' 		=> esc_html__( 'Cancel Comment', 'nord' ),
						'label_submit'      		=> esc_html__( 'Post Comment', 'nord' ),
						'class_submit'      		=> 'btn',
						'comment_notes_before'      => '',
						'comment_notes_after' 		=> '',
						'id_submit'					=> 'submit',
						'comment_field'             => '<textarea id="comment" class="form-control" name="comment" placeholder="' . esc_html__('Message*', 'nord') . '" cols="40" rows="10" required></textarea>',
						'label_submit'              => esc_html__( 'Post Comment' , 'nord' )
						);


					ob_start();
					comment_form( $comments_args);
				?>


</div><!-- #comments -->
