<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package NORD
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

	 <?php nord_preloader();?>

	<section class="mastwrap">
	
		<header class="masthead white-bg">
			<div class="valign">
				<div class="container-fluid no-pad"> 
	        		<div class="row header-border">

						<?php nord_header_logo_options();?>

			            <article class="col-md-6 col-sm-6 col-xs-6 no-pad">
			              <div class="valign">
			                  <div class="menu-notification">
				                  <?php if (has_nav_menu("primary")) { ?>
				                      <a class="font3bold" href="#"><span class="ion-android-menu black"></span></a>
				                    <?php } else{ ?>
				                    	<h5><?php echo esc_html__('Add Nav Menu', 'nord');?></h5>
				                    <?php } ?>
			                  </div>
			              </div>
			            </article>

			
					</div>
				</div>
			</div>
		</header><!-- #masthead -->


		<nav class="mastnav fullheight main-navigation">
            <div class="menu-close-notification">
              	<a class="font3bold" href="#"><span class="ion-android-close white"></span></a>
          	</div>
			<div class="valign">
				<?php
					$args = array(
					          'theme_location' 	=> 'primary',
					          'depth' 			=> 2,
					          'container' 		=> false,
					          'container_class' => 'mastnav fullheight', 
					          'menu_class'  	=> 'main-menu',
					          'walker'  		=> new NordNavMenuWalker(),
					          'fallback_cb'     => 'NordNavMenuWalker::fallback',
				          );
				   	wp_nav_menu($args);
			    ?>
		    </div>
		</nav>



