<?php 
function nord_post_meta(){ ?>
	<h3 class="font3 grey"><span class="font2bold black"><?php echo get_the_time('d');?></span> <?php echo get_the_time('F');?></h3>
<?php }


// Get Post Meta
function nort_meta($meta ){
	$meta = get_post_meta(get_the_ID(), $meta, true);
    return $meta;
}

function nord_post_content(){ 

  $heading_title = nort_meta('_nord_heading_title');
  $sub_heading_title = nort_meta('_nord_sub_heading_title');

  ?>

		<section class="common-content white-bg pad-top-half pad-bottom">
      <div class="container">
          <div class="row">

            <div class="col-md-4 text-left">
              <?php if( $heading_title || $heading_title ){ ?>
                
                  <h3 class="dark font2 font2ultralight"><span class="black font3"><?php echo esc_attr( $heading_title ); ?></span>
                    <?php echo esc_attr( $sub_heading_title ); ?></h3>
                  
              <?php } 
                    if ( is_active_sidebar( 'blog-sidebar' ) ) { 
                      dynamic_sidebar('blog-sidebar'); 
                    }
                ?>
            </div>


              <div class="col-md-8 text-left entry-content">                
                <?php 
                  the_content();

                  // If comments are open or we have at least one comment, load up the comment template.
                  if ( comments_open() || get_comments_number() ) :
                    comments_template();
                  endif;
                ?>
              </div>
          </div>
      </div>
    </section>
            

<?php }



// Post Meta Show/Hide 
if(!function_exists('nord_post_format_meta_script')){

	function nord_post_format_meta_script()	{
		if(is_admin()){
			wp_register_script('nordpostmeta', get_template_directory_uri() .'/lib/adminjs/jw-post-meta.js');
			wp_enqueue_script('nordpostmeta');
		}
	}

	add_action('admin_enqueue_scripts','nord_post_format_meta_script');

}



function nord_single_meta(){ ?>
    <section class="sub-headline white-bg pad-top-quarter pad-bottom-quarter">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-6 text-left no-pad">
                  <h3 class="main-heading font2bold black"><?php nord_entry_footer(); ?></h3>
                  <h6 class="sub-heading font1 grey"><?php echo esc_html__('by','nord');?> <?php the_author(); ?></h6>
                </div>
                <div class="col-md-6 text-right no-pad"></div>
            </div>
        </div>
    </section>
<?php } 


function nord_single_title_subtitle(){ 
  global $post;
  ?>

    <section class="main-headline white-bg">
      <div class="container-fluid">             
          <div class="row">
              <div class="col-md-12 no-pad text-left header-caps">
                <h2 class="black font2bold"><?php the_title();?></h2>
                <h3 class="grey font3">
                  <?php 
                    if( 'portfolio' === get_post_type() ) {
                      $portfolio_cat = get_the_term_list( $post->ID, 'portfolio_category', ' ', ' / ' );
                        echo strip_tags( $portfolio_cat );
                      }
                    if ( 'post' === get_post_type() ) {
                      echo get_the_time('d F');
                      }
                    ?>
                </h3>
              </div>
          </div>
      </div>
    </section>
<?php }


// Get Post Meta
function nord_meta($meta){
    $meta = get_post_meta(get_the_ID(), $meta, true);
    return $meta;
}



function nord_single_portfolio_date_meta(){?>

      <section class="sub-headline white-bg pad-top-quarter pad-bottom-quarter">
              <div class="container-fluid">
                  <div class="row">
                      <div class="col-md-6 text-left no-pad">
                        <h3 class="main-heading font2bold black"><?php echo get_the_time('F Y'); ?></h3>
                        <h6 class="sub-heading font1 grey"><?php echo nord_meta('_nord_portfolio_url');?></h6>
                      </div>
                      <div class="col-md-6 text-right no-pad">

                      </div>
                  </div>
              </div>
    </section>
<?php }

// Single Portfolio Details
function nord_single_portfolio_meta(){ 

      $portfolio_cat              = get_the_term_list( get_the_ID(), 'portfolio_category', ' ', ', ' );

      $client_name                = nord_meta('_nord_portfolio_client_name');
      $portfolio_date             = nord_meta( '_nord_portfolio_date' );
      $portfolio_url              = nord_meta( '_nord_portfolio_url' );             
      $portfolio_project_button   = nord_meta( '_nord_portfolio_project_button' );
      $portfolio_project_url      = nord_meta( '_nord_portfolio_project_url' );

      // Title Display
      $portfolio_heading_title      = nort_meta('_nord_heading_title');
      $portfolio_sub_heading_title  = nort_meta('_nord_sub_heading_title');
  ?>

  <h3 class="dark font2 font2ultralight"><span class="black font3"><?php echo esc_attr( $portfolio_heading_title );?></span><?php echo esc_attr( $portfolio_sub_heading_title );?></h3>
  <ul class="project-credits add-top-quarter font1 dark">
    <li><?php echo esc_html__('Client:','nord');?> <?php echo esc_attr( $client_name );?> </li>
    <li><?php echo esc_html__('Type:','nord');?> <?php echo strip_tags( $portfolio_cat );?></li>
    <li><?php echo esc_html__('Date: ','nord');?> <?php echo esc_attr( $portfolio_date );?></li>
  </ul>
  <a class="btn btn-nord btn-nord-dark" href="<?php echo esc_url_raw( $portfolio_url );?>" target="_blank"> <?php echo esc_attr( $portfolio_project_button );?> </a>

<?php }




// Single Post Formate Meta
function nord_single_post_format_meta(){

  $quote =  nord_meta( '_nord_qoute' ); 
  $qoute_author =  nord_meta( '_nord_qoute_author' );           
  
  $link_text = nord_meta( '_nord_link_text' );
  $nord_link = nord_meta( '_nord_link' );

  $audio_code = nord_meta( '_nord_audio_code' ); 

  $slides = nord_meta('_nord_gallery_images','type=image_advanced');

  

    if( has_post_format('aside') || has_post_format('image') ){ ?>      
      <?php if ( has_post_thumbnail() ) { ?>
        <img data-no-retina alt="<?php the_title_attribute();?>" title="<?php the_title_attribute();?>" class="img-responsive" src="<?php echo wp_get_attachment_url( get_post_thumbnail_id(), 'large' );?>"/>
      <?php } ?>
    <?php } elseif( has_post_format('audio')){ ?>
      <div class="entry-audio">
        <?php echo htmlspecialchars_decode( $audio_code ); ?>
      </div>

    <?php } elseif( has_post_format('link')){ ?> 
      <div  class="attachmentlink">
        <?php echo esc_attr($link_text); ?>
        <a class="attach-link" href="<?php echo esc_attr( $nord_link ); ?>" target="_blank"><?php echo esc_attr( $nord_link ); ?></a>
      </div>

    <?php } elseif( has_post_format('quote')){  ?>
        <blockquote class="post-blockquote">
          <?php echo esc_attr($quote); ?>
          <span class="quot-author"> -  <?php echo esc_attr( $qoute_author ); ?></span>
        </blockquote>

    <?php } elseif( has_post_format('gallery')){  ?>


          <?php $slides = rwmb_meta('_nord_gallery_images','type=image_advanced');
            $count = count($slides);
            if($count > 0){ ?>
              <div class="post-thumbnail">
                <div id="post-slider" class="post-slider owl-carousel owl-theme" >

                  <!-- Wrapper for slides -->

                    <?php $slide_no = 0; ?>
                    <?php foreach( $slides as $slide ): ?>
                      <div class="item">
                        <?php $images = wp_get_attachment_image_src( $slide['ID'], 'nord-portfolio-gallery' ); ?>
                        <img src="<?php echo  esc_url( $images[0] ); ?>" alt="">
                      </div>
                      <?php //$slide_no++ ?>
                    <?php endforeach; ?>


                </div>
              </div>
          <?php } ?>

    <?php } else{ ?>
      <?php if ( has_post_thumbnail() ) { ?>
          <img data-no-retina alt="<?php the_title_attribute();?>" title="<?php the_title_attribute();?>" class="img-responsive" src="<?php echo  wp_get_attachment_url( get_post_thumbnail_id() );?>"/>
      <?php } ?>
    <?php }

}


/**
 * Candor Framework Load Admin Scripts
 * Properly Enqueues Scripts & Styles for the theme
 * 
 * @since version 1.0.0
 * @author Jewel Theme
 */
if(!( function_exists('nord_admin_load_scripts') )){
  function nord_admin_load_scripts(){
    wp_enqueue_style( 'nord-theme-admin-css', NORD_THEME_ROOT . '/inc/candor-theme-admin.css' );
  }
  add_action('admin_enqueue_scripts', 'nord_admin_load_scripts', 200);
}






/**
 * Returns an array of all available portfolio options
 * 
 * @val array
 * @since 1.0.0
 * @package NORD
 * @author Jewel Theme
 */

if(!( function_exists('nord_get_portfolio_columng_type') )){
  function nord_get_portfolio_columng_type(){
    return array(
      esc_html__( '2 Column', 'nord' )              => 'works-item-one-half',
      esc_html__( '3 Column', 'nord' )              => 'works-item-one-third',
      esc_html__( '4 Column', 'nord' )              => 'works-item-one-fourth',
      esc_html__( 'Full Width', 'nord' )            => 'fullheight',
      //esc_html__( 'Slider', 'nord' )         => 'slider'
    );  
  }
}


/**
 * Portfolio taxonomy terms output.
 *
 * Checks that terms exist in the portfolio-category taxonomy, then returns a comma seperated string of results.
 * @todo Allow for taxonomy input for differing taxonmoies through the same function.
 * @since 1.0.0
 * @return string
 * @package NORD
 * @author Jewel Theme
 */
if(!( function_exists('nord_get_the_terms') )){
  function shopaholic_get_the_terms( $cat, $sep, $value, $args = array() ) {
    
    global $post;
    
    $terms = get_the_terms($post->ID, $cat, '', $sep, '');
    
    if( is_array($terms) ) {
      foreach( $terms as $term ){
        $args[] = $value; 
      }
      $terms = array_map('_simple_cb', $terms, $args);
      return implode( $sep, $terms);
    }
    
  }
}




// check the current post for the existence of a short code
function nord_has_shortcode($shortcode = '') {
     
    $post_to_check = get_post(get_the_ID());
     
    // false because we have to search through the post content first
    $found = false;
     
    // if no short code was provided, return false
    if (!$shortcode) {
        return $found;
    }
    // check the post content for the short code
    if ( stripos($post_to_check->post_content, '[' . $shortcode) !== false ) {
        // we have found the short code
        $found = true;
    }
     
    // return our final results
    return $found;
}






/* For adding custom field to gallery popup */
function nord_add_image_attachment_clients_url_to_edit($form_fields, $post){

    $form_fields["partners_url"] = array(
        "label" => esc_html__("Website URL", 'nord'),
        "input" => "text", // this is default if "input" is omitted
        "value" => get_post_meta($post->ID, "_partners_url", true),
        "helps" => esc_html__("Website Address here", 'nord'),
    );
    unset($form_fields['post_content']);
    return $form_fields;
}

add_filter("attachment_fields_to_edit", "nord_add_image_attachment_clients_url_to_edit", null, 2);


//Add Attachment Images Client URL
function nord_add_image_attachment_clients_url_to_save($post, $attachment){

    if (isset($attachment['partners_url'])) {
        update_post_meta($post['ID'], '_partners_url', $attachment['partners_url']);
    }
    return $post;
}

add_filter("attachment_fields_to_save", "nord_add_image_attachment_clients_url_to_save", null, 2);



if(!( function_exists('nord_excerpt_more') )){
  function nord_excerpt_more( $more ) {
    return '...';
  }
  add_filter('excerpt_more', 'nord_excerpt_more');
}


/**
 * Remove leading whitespace from the_excerpt
 */
if(!( function_exists('nord_trim_excerpt') )){
  function nord_trim_excerpt( $excerpt ) {
      return preg_replace( '~^(\s*(?:&nbsp;)?)*~i', '', $excerpt );
  }
  add_filter( 'get_the_excerpt', 'nord_trim_excerpt' );
}


// Page Title Options
if(!( function_exists('nord_get_header_options') )){
  function nord_get_header_options(){
    $options = array(
      'default'               => esc_html__( 'Default Header', 'nord' ),
      'ultralight_header'     => esc_html__( 'Ultralight Sub Header', 'nord' ),
      'none'                  => esc_html__( 'No Page Title', 'nord' ),
    );
    return $options;  
  }
}


// Page Title Options
function nord_page_title($title = false, $subtitle = false){
  global $post;

  $header_meta = nord_meta('_nord_page_title');
  if($header_meta != "none"){
?>
    <section class="main-headline white-bg">
      <div class="container-fluid"> 

        <div class="row">
          <div class="col-md-12 no-pad text-left header-caps">
            <h2 class="black font2bold"><?php echo get_the_title($post->ID);?></h2>

            <?php if( ( $header_meta == "default" ) && class_exists( 'WP_Subtitle' ) ){
                echo get_the_subtitle( $post->ID , '<h3 class="grey font3">', '</h3>', false ); 
              } elseif( ( $header_meta == "ultralight_header") && class_exists( 'WP_Subtitle' ) )  { ?>
                <h1 class="black font2ultralight"><?php echo get_the_subtitle( $post->ID ); ?></h1>
            <?php } ?>

          </div>
        </div>

      </div>
    </section>
<?php 
  }
  if( false == $title )
    $output = false;
  
  return $output;
}






// Header Logo
function nord_header_logo_options(){ 
  global $nord_options;
  ?>

    <article class="col-md-6 col-sm-6 col-xs-6 no-pad">
      <div class="valign">
        <?php if( $nord_options[ 'logo_type' ] == "logo_text" ){ ?>
            <h2 class="black font2bold">
              <a class="navbar-brand" href="<?php echo site_url(); ?>"><?php echo htmlspecialchars_decode(esc_html( $nord_options[ 'nord_logo_text' ] ));?></a>
            </h2>          
          <?php } elseif( $nord_options[ 'logo_type' ] == "logo_image" ){
            echo '<a href="' . esc_url( home_url( '/' ) ) .'"><img class="main-logo" src="'. esc_url( $nord_options[ 'nord_logo_image' ]['url'] ) . '"></a>';
          } else {
            echo '<a href="' . esc_url( home_url( '/' ) ) .'"><img class="main-logo" src="'. NORD_THEME_ROOT . "/images/logo.png" . '"></a>';
          }?>
      </div>
    </article>

<?php } 



//NORD Page Comments
function nord_page_comments(){
    // If comments are open or we have at least one comment, load up the comment template.
    if ( comments_open() || get_comments_number() ) {
      comments_template();
    }
}



// Copyrights
function nord_copyrights(){ 
  global $nord_options;
  ?>
    <article class="credits col-md-4 no-pad text-left">
      <a href="<?php echo site_url(); ?>"><img data-no-retina alt="" title="" src="<?php if( $nord_options[ 'nord_logo_image' ]['url'] ){
        echo esc_url( $nord_options[ 'nord_logo_image' ]['url'] );
      } else{
        echo esc_url( esc_html__( get_template_directory_uri() . "/images/logo.png", 'nord' ) );
      }
      ?>"></a>
      <p class="font1 dark"><?php if( $nord_options['copyright_text'] ){
        echo htmlspecialchars_decode( esc_attr( $nord_options['copyright_text'] ));  
      } else{
        echo esc_html__('Copyright ','nord').'&copy; ' . date_i18n('Y').' <a target="_blank" href="' . esc_url( esc_html__('http://wwww.designova.net', 'nord')) . '">' . esc_html__('Designova','nord').'</a>.';
      }
      ?></p>
    </article>
  <?php 
  
}



// Header Top Social
function nord_footer_social(){ 
    global $nord_options; 

    echo '<ul class="foot-social">';

    if(isset($nord_options['section_social_facebook']) && trim($nord_options['section_social_facebook'])!="") echo "<li><a class='social' href='{$nord_options['section_social_facebook']}' target='_blank' ><img data-no-retina alt='' title='' src='" . NORD_THEME_ROOT . "/images/social/03.svg" . "'/></a></li>";
    ?><?php
    if(isset($nord_options['section_social_linkedin'])  && trim($nord_options['section_social_linkedin'])!="") echo "<li><a class='social' href='{$nord_options['section_social_linkedin']}' target='_blank' ><img data-no-retina alt='' title='' src='" . NORD_THEME_ROOT . "/images/social/linkedin-4.svg" . "'/></a></li>";
    ?><?php
    if(isset($nord_options['section_social_github'])  && trim($nord_options['section_social_github'])!="") echo "<li><a class='social' href='{$nord_options['section_social_github']}' target='_blank' ><img data-no-retina alt='' title='' src='" . NORD_THEME_ROOT . "/images/social/github-4.svg" . "'/></a></li>";
    ?><?php
    if(isset($nord_options['section_social_twitter']) && trim($nord_options['section_social_twitter'])!="") echo "<li><a class='social' href='{$nord_options['section_social_twitter']}' target='_blank' ><img data-no-retina alt='' title='' src='" . NORD_THEME_ROOT . "/images/social/01.svg" . "'/></a></li>";
    ?><?php
    if(isset($nord_options['section_social_pinterest'])  && trim($nord_options['section_social_pinterest'])!="") echo "<li><a class='social' href='{$nord_options['section_social_pinterest']}' target='_blank' ><img data-no-retina alt='' title='' src='" . NORD_THEME_ROOT . "/images/social/pinterest-4.svg" . "'/></a></li>";
    ?><?php
    if(isset($nord_options['section_social_google']) && trim($nord_options['section_social_google'])!="") echo "<li><a class='social' href='{$nord_options['section_social_google']}' target='_blank' ><img data-no-retina alt='' title='' src='" . NORD_THEME_ROOT . "/images/social/google-plus-4.svg" . "'/></a></li>";
    ?><?php
    if(isset($nord_options['section_social_dribbble']) && trim($nord_options['section_social_dribbble'])!="") echo "<li><a class='social' href='{$nord_options['section_social_dribbble']}' target='_blank' ><img data-no-retina alt='' title='' src='" . NORD_THEME_ROOT . "/images/social/02.svg" . "'/></a></li>";
    ?><?php
    if(isset($nord_options['section_social_flickr']) && trim($nord_options['section_social_flickr'])!="") echo "<li><a class='social' href='{$nord_options['section_social_flickr']}' target='_blank' ><img data-no-retina alt='' title='' src='" . NORD_THEME_ROOT . "/images/social/flickr-4.svg" . "'/></a></li>";
    ?><?php
    if(isset($nord_options['section_social_instagram']) && trim($nord_options['section_social_instagram'])!="") echo "<li><a class='social' href='{$nord_options['section_social_instagram']}' target='_blank' ><img data-no-retina alt='' title='' src='" . NORD_THEME_ROOT . "/images/social/instagram-9.svg" . "'/></a></li>";
    ?><?php
    if(isset($nord_options['section_social_youtube']) && trim($nord_options['section_social_youtube'])!="") echo "<li><a class='social' href='{$nord_options['section_social_youtube']}' target='_blank' ><img data-no-retina alt='' title='' src='" . NORD_THEME_ROOT . "/images/social/youtube-9.svg" . "'/></a></li>";
    ?><?php
    if(isset($nord_options['section_social_rss']) && trim($nord_options['section_social_rss'])!="") echo "<li><a class='social' href='{$nord_options['section_social_rss']}' target='_blank' ><img data-no-retina alt='' title='' src='" . NORD_THEME_ROOT . "/images/social/rss-feed-4.svg" . "'/></a></li>";
    ?><?php
    if(isset($nord_options['section_social_behance']) && trim($nord_options['section_social_behance'])!="") echo "<li><a class='social' href='{$nord_options['section_social_behance']}' target='_blank' ><img data-no-retina alt='' title='' src='" . NORD_THEME_ROOT . "/images/social/04.svg" . "'/></a></li>";

  echo '</ul>';
}



function nord_about_details(){
  global $nord_options; 

  ?>
    <article class="col-md-4 no-pad text-left">
      <h5 class="font1 black"><?php if( $nord_options['nord_about'] ){ 
          echo esc_attr($nord_options['nord_about']); 
        } else{
          echo esc_html__("A simple portfolio template for designers, creatives, artists, photographers and agency websites", "nord");
        } ?></h5>
      <p class="font1 dark"><?php if( $nord_options['nord_about_link'] ){
        echo htmlspecialchars_decode( esc_attr( $nord_options['nord_about_link'] ) );
      }else{
          echo esc_html__('A quality theme by Designova. ','nord') . '<a target="_blank" href="' . esc_url( esc_html__('http://www.designova.net/themes.html', 'nord') ) . '">' . esc_html__('Buy now','nord').'</a>';
      } ?></p>
    </article>

  <?php 
}



// Preloader
function nord_preloader(){
  global $nord_options;

  if( $nord_options['show_preloader'] ){ ?>
    <div id="preloader" class="preloader ">
      <div id="status"></div>
    </div>
  <?php } 
}



if(!function_exists('nord_admin_logo_login')){
    function nord_admin_logo_login(){
      global $nord_options;
      if( $nord_options[ 'admin_logo' ]['url'] ){
          ?>
          <style type="text/css">
             .login h1 a {
                  background-image: url("<?php echo esc_url( $nord_options[ 'admin_logo' ]['url'] );?>") !important;
                  background-position: center center !important;
              }
          </style>

          <?php } else { ?>

          <style type="text/css">
              .login h1 a {
                  background-image: url('<?php echo admin_url('/images/wordpress-logo.png');?>');
              }
          </style>

          <?php }
      }
      add_action( 'login_enqueue_scripts', 'nord_admin_logo_login' );
  }




// Elevation Blog Header Background
function nord_404_page(){ 
  global $nord_options;
  ?>

  <section class="main-headline error-404 white-bg">
  <div class="container-fluid"> 

    <div class="row">
      <div class="col-md-12 no-pad text-center header-caps">

      <h1 class="black font2bold">
        <?php 
          if (isset($nord_options['settings_404_title'])) {
            echo strip_tags( $nord_options['settings_404_title'] ) ;
          } else{
            echo esc_html__("Sorry!! 404 Error!" ,"nord");
          }
              
        ?>
        </h1>
        

        <h3 class="grey font3 ">
          <?php 
              if (isset($nord_options['settings_404_subheading'])) {
                echo strip_tags( $nord_options['settings_404_subheading'] ); 
              } else{
                echo esc_html__("There was Some Problem Finding the page You Requested" ,"nord");     
              }
            ?>
          <div class="btn-container">
            <a href="<?php echo esc_url( home_url( '/' ));?>" class="btn btn-lg">
              <?php 
                if (isset($nord_options['settings_404_return_home'])) {
                  echo strip_tags( $nord_options['settings_404_return_home'] ); 
                } else{
                  echo esc_html__("Return Home" ,"nord");        
                }
                ?>
            </a>
          </div><!-- /.btn-container -->
        </h3>
      </div>
    </div>

  </div>
</section>

<?php }



/*===================================================================================
 * Search Form
 * =================================================================================*/
add_filter('get_search_form', 'nord_search_form');

function nord_search_form($form) {
  $form = '<form action="' . esc_url( home_url( '/' ) ) . '" method="get" class="search-form">
    <input type="text" name="s" id="s" class="search" placeholder="Search for.." value="' . esc_html__('Search', 'nord'). '" required>    
    </form>';
return $form;
}


// Check Heading Section
function nord_heading_section(){ 
  global $nord_options;  
  if( isset( $nord_options['settings_blog_title'] ) &&  isset( $nord_options['settings_blog_subtitle'] ) ){ ?>
      <h2 class="black font2bold"><?php echo esc_attr( $nord_options['settings_blog_title'] );?></h2>
      <h3 class="grey font3"><?php echo esc_attr( $nord_options['settings_blog_subtitle'] );?></h3>
  <?php }
}

// Blog Latest Posts
function nord_heading_latest_posts_section(){ 
  global $nord_options;  
  if( isset( $nord_options['settings_blog_heading_title'] ) &&  isset( $nord_options['settings_blog_sub_heading'] ) ){ ?>
      <h3 class="main-heading font2bold black"><?php echo esc_attr( $nord_options['settings_blog_heading_title'] );?></h3>
      <h6 class="sub-heading font1 grey"><?php echo esc_attr( $nord_options['settings_blog_sub_heading'] );?></h6>
  <?php }
}





if(!( function_exists('nord_post_pagination') )){
  function nord_post_pagination($pages = '', $range = 2){
    $showitems = ($range * 1)+1;
    
    global $paged;
    if(empty($paged)) $paged = 1;
    
    if($pages == ''){
      global $wp_query;
      $pages = $wp_query->max_num_pages;
        if(!$pages) {
          $pages = 1;
        }
    }
      
    if(1 != $pages){
      echo '<ul class="pagination">';

      if($paged > 1 && $paged > $range+1 && $showitems < $pages){
        echo '<li><a href="'.get_pagenum_link(1).'" aria-label="Previous" class="previous"><i class="ion-chevron-left"></i><span>'. esc_html__('Start','nord').'</span></a></li>';
      }

      for ($i=1; $i <= $pages; $i++)
      {
        if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
        {
          echo ($paged == $i)? "<li><a href='#' class='active'>".$i."</a></li>":"<li><a href='".get_pagenum_link($i)."'>".$i."</a></li>";
        }
      }

      if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages){
        echo '<li><a href="'.get_pagenum_link($pages).'" aria-label="Next" class="next"><span>'. esc_html__('End','nord').'</span><i class="ion-chevron-right"></i></a></li>';
      }


      echo "</ul>";
    }
  }
}

