<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package NORD
 */

global $post;

get_header(); 

// Get body classes as array
$body_classes = get_body_class();
?>

	

	<?php if ( have_posts() ) {?>


    <section class="main-headline white-bg">
      	<div class="container-fluid"> 
            
			<div class="row">
			  <div class="col-md-7 no-pad text-left header-caps">
			  	<?php if(in_array("blog", $body_classes)) { 
			  		nord_heading_section();
			  	} else{ ?>
				  	<h2 class="black font2bold">			    	
				  		<?php echo get_the_title($post->ID);?>
				  	</h2>
				  	<?php 				  	
				  	if( class_exists( 'WP_Subtitle' ) ){
				  		echo get_the_subtitle( $post->ID , '<h3 class="grey font3">', '</h3>', false );
				  	} 
				} ?>
			    
			  </div>
			</div>

      	</div>
    </section>


	
	<?php if( nort_meta('_nord_heading_title') !="" || nort_meta('_nord_sub_heading_title') !="" || ( isset( $nord_options['settings_blog_heading_title'] ) &&  isset( $nord_options['settings_blog_sub_heading'] ))  ){ ?>
	    <section class="sub-headline white-bg pad-top-quarter pad-bottom-quarter">
			<div class="container-fluid">
			  <div class="row">
			      <div class="col-md-6 text-left no-pad">
			      		
			      		<?php if(in_array("blog", $body_classes)) { 
			      			nord_heading_latest_posts_section();
			      		} else{ ?>

					        <h3 class="main-heading font2bold black">			        	
					        	<?php echo nort_meta('_nord_heading_title');?>
					        </h3>
					        <h6 class="sub-heading font1 grey">
					        	<?php echo nort_meta('_nord_sub_heading_title');?>
					        </h6>

						<?php } ?>

			      </div>
			  </div>
			</div>
	    </section>
	<?php } ?>

			



	<?php if ( is_home() && ! is_front_page() ) { ?>
		<header>
			<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
		</header>

	<?php } ?>

			<!-- news-container news-masonry-container clearfix white-bg add-bottom-half -->
			<div id="news-container" class="news-container news-masonry-container clearfix white-bg add-bottom-half">
				<?php while ( have_posts() ) { the_post();
						get_template_part( 'template-parts/content', get_post_format() );
					} 					
				?>
			</div>

	<?php }else {
		get_template_part( 'template-parts/content', 'none' );
	} ?>

	
	
<?php
	
	nord_post_pagination();

	get_footer();
