<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package NORD
 */


  nord_single_title_subtitle();
  nord_single_portfolio_date_meta();

  $portfolio_slider_images       = rwmb_meta( '_nord_portfolio_slider_images','type=image_advanced');
  $portfolio_images              = rwmb_meta( '_nord_portfolio_images','type=image_advanced');
  $video_url                     = nord_meta('_nord_video_url');

  $portfolio_cat = get_the_term_list( $post->ID, 'portfolio_category', ' ', ' ' );


  $count = count($portfolio_slider_images);
  if($count > 0){ ?>

      <div id="project-carousel" class="project-carousel owl-carousel owl-theme" >
        <!-- Wrapper for slides -->
        <?php 
        $slide_no = 0; 
        foreach( $portfolio_slider_images as $slide ){ ?>
          <div class="item">
            <?php $images = wp_get_attachment_image_src( $slide['ID'], 'full' ); ?>
            <img src="<?php echo  esc_url( $images[0] ); ?>" alt="<?php the_title_attribute();?>">
          </div>
          <?php //$slide_no++ ?>
        <?php } ?>
      </div>

  <?php } ?>


<?php if( $video_url ){ ?>
  <div class="video-embed-holder add-bottom-quarter">
        <div class='embed-container'>
            <iframe src='<?php echo esc_url_raw( $video_url );?>' frameborder='0' webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>
        </div>
      </div>
<?php }
    
    $count_works = count($portfolio_images);
    if($count_works > 0){ ?>

      <div id="works-container" class="works-container works-masonry-container clearfix white-bg">

        <?php 
        $slide_no = 0; 
        foreach( $portfolio_images as $slide ){ 
        $images = wp_get_attachment_image_src( $slide['ID'], 'full' ); ?>
          <!-- start : works-item -->
          <div class="works-item works-item-one-half <?php echo strip_tags( $portfolio_cat ); ?>">
                  <img data-no-retina alt="<?php the_title_attribute();?>" title="<?php the_title_attribute();?>" class="img-responsive" src="<?php echo  esc_url( $images[0] ); ?>"/>
          </div>
          <!-- end : works-item -->

        <?php } ?>

      </div>
    <?php } ?>

      <section class="common-content white-bg pad-top-half pad-bottom-half">
        <div class="container">
            <div class="row">
                <div class="col-md-6 text-left">
                  <?php nord_single_portfolio_meta();?>
                </div>
                <div class="col-md-6 text-left">
                    <?php the_content();?>
                </div>
            </div>
        </div>
    </section>
