<?php 

/**
 * Force Visual Composer to initialize as "built into the theme". This will hide certain tabs under the Settings->Visual Composer page
 */
if( function_exists('vc_set_as_theme') ){
	function nord_vc_Set_As_Theme() {
		vc_set_as_theme(true);
	}
	add_action( 'vc_before_init', 'nord_vc_Set_As_Theme' );
}

if(!( function_exists('nord_custom_css_classes_for_vc_row_and_vc_column') )){
	function nord_custom_css_classes_for_vc_row_and_vc_column( $class_string, $tag ) {
		if ($tag == 'vc_row' || $tag == 'vc_row_inner') {
			$class_string = str_replace('vc_row-fluid', 'row', $class_string);
		}
		if ($tag == 'vc_column' || $tag == 'vc_column_inner') {
			$class_string = preg_replace('/vc_col-xs-(\d{1,2})/', 'col-xs-$1', $class_string);
			$class_string = preg_replace('/vc_col-sm-(\d{1,2})/', 'col-sm-$1', $class_string);
			$class_string = preg_replace('/vc_col-md-(\d{1,2})/', 'col-md-$1', $class_string);
			$class_string = preg_replace('/vc_col-lg-(\d{1,2})/', 'col-lg-$1', $class_string);
		}
		return $class_string;

	}
	add_filter( 'vc_shortcodes_css_class', 'nord_custom_css_classes_for_vc_row_and_vc_column', 10, 2 );
}

/**
 * Add Pages to VC Template system
 */
// Homepage
if(!( function_exists('nord_homepage_template') )){
function nord_homepage_template($data){
    $template               = array();
    $template['name']       = 'Homepage';
    $template['content']    = <<<CONTENT
      





CONTENT;
    array_unshift($data, $template);
    return $data;
}

add_filter( 'vc_load_default_templates', 'nord_homepage_template' );
}